[32-bit Lubuntu 15.04] Failed to access core package

It seems that a lot of GPU problems revolve around specific versions of drivers. Though AMD has their own support structure, you can often learn from information reported by others who fold.

Moderators: Site Moderators, PandeGroup

[32-bit Lubuntu 15.04] Failed to access core package

Postby ndimario » Sun Oct 04, 2015 1:35 am

I wasn't sure where to make this point exactly but it maybe related to the drivers.

OS: Lubuntu 15.04
GPU: Radeon 270
CPU: Phenom II x4 955

I ran 'apt-get install fglrx-core fglrx-update' and restarted the system. I've also installed both folding at home and the client using the folding at home deb packages (done it before and it went smoothly). No errors in any of the previous commands. The problem is when I open the advanced control and the program cannot seem to get past this error.

Maybe I'm missing something simple?

These are pictures that shows the repeated error on my Linux machine:
http://postimg.org/image/aocvf1ks5/
http://postimg.org/image/pjif2kejj/
ndimario
 
Posts: 38
Joined: Thu Aug 12, 2010 3:20 am

Re: [Lubuntu 15.04] Failed to access core package

Postby bollix47 » Sun Oct 04, 2015 3:57 am

One of the requirements of Linux GPU folding is a 64-bit operating system: http://folding.stanford.edu/home/guide/ ... ide/#ntoc4

It appears you're using a 32-bit o/s.

Also, you may find installing fglrx from the repo lacking in some of the components (OpenCL) that folding needs ... on my Linux ATI folding computer I download and install the latest Linux drivers from AMD. I'm not 100% certain of the preceding statement regarding fglrx but I do know installing the drivers from AMD does work.
bollix47
 
Posts: 3397
Joined: Sun Dec 02, 2007 5:04 am
Location: Canada

Re: [Lubuntu 15.04] Failed to access core package

Postby ndimario » Sun Oct 04, 2015 7:51 am

That could be it. I chose to install the 32-bit version because the system only has 2gb of ram. However if 64-bit is needed to GPU fold, that would explain why my previous Ubuntu build worked. Will try this tomorrow. Thanks for the suggestion.
ndimario
 
Posts: 38
Joined: Thu Aug 12, 2010 3:20 am

Re: [Lubuntu 15.04] Failed to access core package

Postby ndimario » Sun Oct 04, 2015 10:03 am

Yes the problem was GPU folding is not supported in 32bit linux. I installed the 64-bit version of Lubuntu and installed 'fglrx' along with the fahclient/fahcontrol deb's and it all went smooth. The PC is now folding. Thank you for the suggestion, it solved the issue.
ndimario
 
Posts: 38
Joined: Thu Aug 12, 2010 3:20 am

Re: [Lubuntu 15.04] Failed to access core package

Postby bruce » Sun Oct 04, 2015 7:46 pm

On 32-bit Linux, were you running with a default configuration or had you added any special flags?

The point here is that 32-bit has been known to work on a (very) limited number of projects but the Pande Group needs to be sure that only those projects are assigned; others must be restricted and they probably aren't.

From the Donor's perspective, the right answer is to install 64-bit with the 32-bit libraries.
bruce
 
Posts: 21270
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.

Re: [32-bit Lubuntu 15.04] Failed to access core package

Postby ndimario » Tue Oct 06, 2015 7:36 am

There were no special flags. By default it would not start (when set to gpu folding).
ndimario
 
Posts: 38
Joined: Thu Aug 12, 2010 3:20 am

Re: [32-bit Lubuntu 15.04] Failed to access core package

Postby bollix47 » Tue Oct 06, 2015 10:50 am

In case there's any confusion regarding 32-bit Linux GPU folding let me try to clarify:

Currently there is no 32-bit FAHCore_XX available for Linux GPU folding. Anyone can follow the Linux 32-bit core tree
( http://web.stanford.edu/~pande/Linux/x86/ ). They will find nothing that resembles any of the current GPU cores
( 15, 17, 18 or 21 ) and changing client types in 32-bit Linux will not change anything concerning GPU folding at this time. The appropriate cores simply don't exist where FAHClient would be looking for them.
bollix47
 
Posts: 3397
Joined: Sun Dec 02, 2007 5:04 am
Location: Canada

Re: [32-bit Lubuntu 15.04] Failed to access core package

Postby bruce » Wed Oct 07, 2015 2:12 am

True, and to take it one step further. the projects being studied gradually get bigger and bigger, as the interesting studies of smaller proteins are completed. The newer cores are require more memory (i.e. 64-bit) and are able to manage those larger proteins.

In other words, over time there's less and less work that can be done in 32-bit so if there's no already a 32-bit core, it's highly likely that there never will be.
bruce
 
Posts: 21270
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.


Return to Problems with AMD/ATI drivers

Who is online

Users browsing this forum: No registered users and 1 guest

cron